import 'package:get/get.dart';
import 'package:get_demo/models/good_model.dart';
import 'package:dio/dio.dart';
import 'package:get_demo/pages/home/home_state.dart';
import 'package:get_demo/routes.dart';

class HomeController extends GetxController {
  HomeState state = HomeState();

  getData() async {
    final response = await Dio().get('https://jdmall.itying.com/api/pcate');
    final goodsList = GoodsModel.fromJson(response.data);
    state.goodsData.value = goodsList.result!;
  }

  toDetail(int index) {
    Get.toNamed(Routes.second, arguments: state.goodsData[index]);
  }

  @override
  void onInit() {
    super.onInit();
    getData();
  }


  @override
  void onClose() {}
}
